network:
  version: 2
  ethernets:
    {{ var_def_adapter }}:
      dhcp4: false
  bridges:
{% set ns = namespace(c = 0) %}
{% for sub in var_attached_subnets %}
    br{{ ns.c }}:
      interfaces: ["{% if sub['vid'] == "native" %}{{ var_def_adapter }}{% else %}vlan.{{ sub['vid'] }}{% endif %}"]
{% if 'addresses' in sub %}
      addresses: [{{ sub['addresses'] }}]
{% endif %}
{% if 'nameservers' in sub %}
      nameservers:
        addresses: [{{ sub['nameservers'] }}]
{% endif %}
{% if 'routes' in sub %}      routes:
{% for r in sub['routes'] %}
        - to: {{ r['to'] }}
          via: {{ r['via'] }}
{% endfor %}
{% endif %}
{% set ns.c = ns.c + 1 %}
{% endfor %}
  vlans:
{% for sub in var_attached_subnets %}
{% if sub['vid'] != "native" %}
    vlan.{{ sub['vid'] }}:
      id: {{ sub['vid'] }}
      link: {{ var_def_adapter }}
      accept-ra: no
{% endif %}
{% endfor %}
